Summary:	File system driver that allows you to mount a WebDAV server
Name:		davfs2
Version: 	0.2.5
Release: 	1mdk
License:	GPL
Group:		System/Kernel and hardware		

Source:		http://prdownloads.sourceforge.net/dav/%{name}-%{version}.tar.bz2
Url:		http://sourceforge.net/projects/dav
Patch0:		davfs2-0.2.5-makeinstall.patch.bz2
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	neon-devel

%description

Davfs is a Linux file system driver that allows you to mount a WebDAV 
server as a disk drive. WebDAV is an extension to HTTP/1.1 that allows 
remote collaborative authoring of Web resources, defined in RFC 2518.

%prep
%setup -q
%patch0 -p1 -b .makeinstall
# (sb) name clash with davfs package
sed -i 's|mount.davfs|mount.davfs2|g' mount.davfs.8 Makefile.in src/util.c
sed -i 's|-t davfs|-t davfs2|g' mount.davfs.8 src/util.c
mv mount.davfs.8 mount.davfs2.8

%build
# (sb) use system headers rather than kernel-source
%configure --with-ssl --with-kernel-src=%{_prefix}
%make

%install
rm -fr %buildroot
%makeinstall_std

install -d %{buildroot}/sbin
ln -sf ..%{_sbindir}/mount.%{name} %{buildroot}/sbin/mount.%{name}
install -d %{buildroot}/var/run/mount.%{name}

# (sb) handled by %%doc
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README COPYING NEWS FAQ TODO THANKS ChangeLog secrets.template %{name}.conf.template
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/secrets
%{_sbindir}/mount.%{name}
/sbin/mount.%{name}
%{_mandir}/man8/*
%dir /var/run/mount.%{name}

%changelog
* Mon Sep 26 2005 Stew Benedict <sbenedict@mandriva.com> 0.2.5-1mdk
- New release 0.2.5, redo P0

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.3-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Tue May 10 2005 Stew Benedict <sbenedict@mandriva.com>  0.2.3-2mdk
- renumber patches, fix compile on x86_64 (P1)

* Wed Nov  3 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.3-1mdk
- 0.2.3, patch0 merged upstream

* Tue Oct 26 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.2-2mdk
- link mount.davfs2 in /sbin so mount finds it

* Wed Oct 20 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.2.2-1mdk
- First mandrakelinux release
- rename binary to mount.davfs2 to coexist with davfs

